import { BasicColumn, FormSchema } from '@/components/Table';

export const myRegistrationColumns: BasicColumn[] = [
  {
    title: '登记编号',
    dataIndex: 'enrollNum',
  },
  {
    title: '数据知识产权名称',
    dataIndex: 'dataName',
  },
  {
    title: '所属行业',
    dataIndex: 'sector',
  },
  {
    title: '数据来源',
    dataIndex: 'dataBase',
  },
  {
    title: '登记日期',
    dataIndex: 'enrollDate',
  },
  {
    title: '登记备案状态',
    dataIndex: 'enrollStatus',
  },
  {
    title: '是否存在异议',
    dataIndex: 'isObjection',
  },
  {
    title: '状态',
    dataIndex: 'status',
  },
  // {
  //   title: '登记证书',
  //   dataIndex: 'enrollBook',
  // },
];
export const myRegistrationColumnsForDetail: BasicColumn[] = [
  {
    title: '登记编号',
    dataIndex: 'enrollNum',
  },
  {
    title: '数据知识产权名称',
    dataIndex: 'dataName',
  },
  {
    title: '所属行业',
    dataIndex: 'sector',
  },
  {
    title: '数据来源',
    dataIndex: 'dataBase',
  },
  // {
  //   title: '数据类型',
  //   dataIndex: 'dataType',
  // },
  // {
  //   title: '数据格式',
  //   dataIndex: 'dataFormat',
  // },
  {
    title: '数据规模',
    dataIndex: 'dataScale',
  },
  {
    title: '更新频次',
    dataIndex: 'updateFrequency',
  },
  {
    title: '登记日期',
    dataIndex: 'enrollDate',
  },
  {
    title: '申请人',
    dataIndex: 'applicant',
  },
  // {
  //   title: '登记备案状态',
  //   dataIndex: 'enrollStatus',
  // },
  // {
  //   title: '是否存在异议',
  //   dataIndex: 'isObjection',
  // },
  // {
  //   title: '状态',
  //   dataIndex: 'status',
  // },
  {
    title: '存证公证编号',
    dataIndex: 'storageNum',
  },
  {
    title: '存证公证平台',
    dataIndex: 'storagePlatform',
  },
  // {
  //   title: '登记证书',
  //   dataIndex: 'enrollBook',
  // },
  {
    title: '数据结构',
    dataIndex: 'dataStructure',
  },
  {
    title: '应用场景',
    dataIndex: 'applyScene',
  },
  {
    title: '算法规则简述',
    dataIndex: 'ruleExplain',
  },
  {
    title: '上传文件',
    dataIndex: 'upload',
  },
];
export const myRegistrationColumnsForDetailTable: BasicColumn[] = [
  {
    title: '文件名称',
    dataIndex: 'fileName',
  },
  {
    title: '大小',
    dataIndex: 'fileSize',
  },
  {
    title: '文件类型',
    dataIndex: 'fileType',
  },
];
export const myRegistrationForm: FormSchema[] = [
  {
    field: 'enrollNum',
    label: '登记编号',
    component: 'Input',
  },
  // {
  //   field: 'enrollDate',
  //   label: '申请日期',
  //   component: 'Input',
  // },
  {
    field: 'applicant',
    label: '申请人',
    component: 'Input',
  },
  {
    field: 'dataName',
    label: '数据知识产权名称',
    component: 'Input',
  },
  {
    field: 'sector',
    label: '所属行业',
    component: 'Input',
  },
  {
    field: 'dataBase',
    label: '数据来源',
    component: 'Input',
  },
  {
    field: 'dataStructure',
    label: '数据结构',
    component: 'InputTextArea',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      rows: 4,
    },
  },
  // {
  //   field: 'dataType',
  //   label: '数据类型',
  //   component: 'Input',
  // },
  // {
  //   field: 'dataFormat',
  //   label: '数据格式',
  //   component: 'Input',
  // },
  {
    field: 'dataScale',
    label: '数据规模',
    component: 'Input',
  },
  {
    field: 'updateFrequency',
    label: '更新频次',
    component: 'Input',
  },
  {
    field: 'applyScene',
    label: '应用场景',
    component: 'InputTextArea',
    colProps: { lg: 12, md: 12 },
    componentProps: {
      rows: 4,
    },
  },
  {
    field: 'ruleExplain',
    label: '算法规则简述',
    component: 'InputTextArea',
    colProps: { lg: 12, md: 12 },
    componentProps: {
      rows: 4,
    },
  },
  {
    field: 'storageNum',
    label: '存证公证编号',
    component: 'Input',
  },
  {
    field: 'storagePlatform',
    label: '存证公证平台',
    component: 'Select',
    componentProps: {
      mode: 'tags', // 开启标签模式，允许自定义输入
      options: [
        { label: '阿里云数据平台', value: '阿里云数据平台' },
        { label: '腾讯云数据平台', value: '腾讯云数据平台' },
        { label: '华为云数据平台', value: '华为云数据平台' },
      ],
      placeholder: '请选择或输入平台名称',
      onChange: (value) => {
        if (value.length > 1) {
          value.splice(0, value.length - 1); // 保留最后一个值
        }
      },
    },
  },
  // {
  //   field: 'enrollDate',
  //   label: '登记日期',
  //   component: 'Input',
  // },
  // {
  //   field: 'enrollStatus',
  //   label: '登记备案状态',
  //   component: 'Select',
  //   componentProps: {
  //     options: [
  //       { label: '已备案', value: '已备案' },
  //       { label: '待审核', value: '待审核' },
  //     ],
  //   },
  // },
  {
    field: 'enrollBook',
    label: '上传文件按钮',
    colProps: { span: 24 },
    slot: 'enrollBook',
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'companyName',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '请输入登记编号',
    },
    colProps: { span: 6 },
  },
  {
    field: 'code',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '请输入申请人',
    },
    colProps: { span: 6 },
  },
  {
    field: 'leader',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '请选择是否存在异议',
      options: [
        { label: '是', value: '是' },
        { label: '否', value: '否' },
      ],
    },
    colProps: { span: 6 },
  },
];

export const objectionFormSchema: FormSchema[] = [
  {
    field: 'applicant',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '请输入登记编号',
    },
    colProps: { span: 6 },
  },
  {
    field: 'code',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '请输入申请人',
    },
    colProps: { span: 6 },
  },
  {
    field: 'leader',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '请选择是否存在异议',
      options: [
        { label: '是', value: '是' },
        { label: '否', value: '否' },
      ],
    },
    colProps: { span: 6 },
  },
];
